Qyra
ReferenceProjects

Get content draft staleness

What the repo and the draft each changed since the draft's base

GET/api/v1/projects/{projectUuid}/code/drafts/{draftUuid}/staleness

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
draftUuidstringYes

Responses

200 — Success

{
  "results": {
    "conflictingFields": [
      "string"
    ],
    "changedFields": [
      "string"
    ],
    "draftUuid": "string",
    "changes": [
      {
        "mine": "string",
        "repo": "string",
        "field": "string"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}